/*

Uniform Theme: Uniform Default
Version: 1.8
By: Josh Pyles
License: MIT License
---
For use with the Uniform plugin:
http://uniformjs.com/

*/
/* General settings */
div.selector, div.selector span, div.checker span, div.radio span, div.uploader, div.uploader span.action, div.button, div.button span {
  background-image: url("../images/sprite.png");
  background-repeat: no-repeat;
  -webkit-font-smoothing: antialiased; }

div.selector, div.checker, div.button, div.radio, div.uploader {
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  vertical-align: middle;
  /* Keeping this as :focus to remove browser styles */ }

div.selector:focus, div.checker:focus, div.button:focus, div.radio:focus, div.uploader:focus {
  outline: 0; }

div.selector, div.selector *, div.radio, div.radio *, div.checker, div.checker *, div.uploader, div.uploader *, div.button, div.button * {
  margin: 0;
  padding: 0; }

.highContrastDetect {
  background: url("../images/bg-input.png") repeat-x 0 0;
  width: 0px;
  height: 0px; }

/* Input & Textarea */
input.uniform-input,
select.uniform-multiselect,
textarea.uniform {
  padding: 3px;
  background: url(../images/bg-input.png) repeat-x 0 0;
  outline: 0; }

input.uniform-input.active,
select.uniform-multiselect.active,
textarea.uniform.active {
  background: url(../images/bg-input-focus.png) repeat-x 0 0; }

/* Remove default webkit and possible mozilla .search styles.
 * Keeping this as :active to remove browser styles */
div.checker input,
input[type="search"],
input[type="search"]:active {
  -moz-appearance: none;
  -webkit-appearance: none; }

/* Select */
div.selector {
  background-position: 0 -130px;
  line-height: 26px;
  height: 26px;
  padding: 0 0 0 10px;
  position: relative;
  overflow: hidden; }

div.selector span {
  text-overflow: ellipsis;
  display: block;
  overflow: hidden;
  white-space: nowrap;
  background-position: right 0;
  height: 26px;
  line-height: 26px;
  padding-right: 25px;
  cursor: pointer;
  width: 100%;
  display: block; }

div.selector.fixedWidth {
  width: 190px; }

div.selector.fixedWidth span {
  width: 155px; }

div.selector select {
  opacity: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  border: none;
  background: none;
  position: absolute;
  height: 22px;
  top: 2px;
  left: 0px;
  width: 100%; }

div.selector.active {
  background-position: 0 -156px; }

div.selector.active span {
  background-position: right -26px; }

div.selector.hover, div.selector.focus {
  background-position: 0 -182px; }

div.selector.hover span, div.selector.focus span {
  background-position: right -52px; }

div.selector.hover.active, div.selector.focus.active {
  background-position: 0 -208px; }

div.selector.hover.active span, div.selector.focus.active span {
  background-position: right -78px; }

div.selector.disabled, div.selector.disabled.active {
  background-position: 0 -234px; }

div.selector.disabled span, div.selector.disabled.active span {
  background-position: right -104px; }

/* Checkbox */
div.checker {
  position: relative; }

div.checker, div.checker span, div.checker input {
  width: 19px;
  height: 19px; }

div.checker span {
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  text-align: center;
  background-position: 0 -260px; }

div.checker span.checked {
  background-position: -76px -260px; }

div.checker input {
  opacity: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  border: none;
  background: none;
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1; }

div.checker.active span {
  background-position: -19px -260px; }

div.checker.active span.checked {
  background-position: -95px -260px; }

div.checker.hover span, div.checker.focus span {
  background-position: -38px -260px; }

div.checker.hover span.checked, div.checker.focus span.checked {
  background-position: -114px -260px; }

div.checker.hover.active span, div.checker.focus.active span {
  background-position: -57px -260px; }

div.checker.hover.active span.checked, div.checker.focus.active span.checked {
  background-position: -133px -260px; }

div.checker.disabled, div.checker.disabled.active {
  background-position: -152px -260px; }

div.checker.disabled span.checked, div.checker.disabled.active span.checked {
  background-position: -171px -260px; }

/* Radio */
div.radio {
  position: relative; }

div.radio, div.radio span, div.radio input {
  width: 18px;
  height: 18px; }

div.radio span {
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  text-align: center;
  background-position: 0 -279px; }

div.radio span.checked {
  background-position: -72px -279px; }

div.radio input {
  opacity: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  border: none;
  background: none;
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  text-align: center; }

div.radio.active span {
  background-position: -18px -18px -279px; }

div.radio.active span.checked {
  background-position: -90px -279px; }

div.radio.hover span, div.radio.focus span {
  background-position: -36px -36px -279px; }

div.radio.hover span.checked, div.radio.focus span.checked {
  background-position: -108px -279px; }

div.radio.hover.active span, div.radio.focus.active span {
  background-position: -54px -279px; }

div.radio.hover.active span.checked, div.radio.focus.active span.checked {
  background-position: -126px -279px; }

div.radio.disabled span, div.radio.disabled.active span {
  background-position: -144px -279px; }

div.radio.disabled span.checked, div.radio.disabled.active span.checked {
  background-position: -162px -279px; }

/* Uploader */
div.uploader {
  background-position: 0 -297px;
  height: 28px;
  width: 190px;
  cursor: pointer;
  position: relative;
  overflow: hidden; }

div.uploader span.action {
  background-position: right -409px;
  height: 28px;
  line-height: 28px;
  width: 82px;
  text-align: center;
  float: left;
  display: inline;
  overflow: hidden;
  cursor: pointer; }

div.uploader span.filename {
  text-overflow: ellipsis;
  display: block;
  overflow: hidden;
  white-space: nowrap;
  float: left;
  cursor: default;
  height: 24px;
  margin: 2px 0 2px 2px;
  line-height: 24px;
  width: 85px;
  padding: 0 10px; }

div.uploader input {
  opacity: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  border: none;
  background: none;
  position: absolute;
  top: 0;
  right: 0;
  float: right;
  cursor: default;
  width: 100%;
  height: 100%; }

div.uploader.active span.action {
  background-position: right -465px; }

div.uploader.hover, div.uploader.focus {
  background-position: 0 -353px; }

div.uploader.hover span.action, div.uploader.focus span.action {
  background-position: right -437px; }

div.uploader.hover.active span.action, div.uploader.focus.active span.action {
  background-position: right -493px; }

div.uploader.disabled, div.uploader.disabled.active {
  background-position: 0 -325px; }

div.uploader.disabled span.action, div.uploader.disabled.active span.action {
  background-position: right -381px; }

/* Buttons */
div.button {
  background-position: 0 -641px;
  height: 30px;
  cursor: pointer;
  position: relative;
  /* Keep buttons barely visible so they can get focus */ }

div.button a, div.button button, div.button input {
  opacity: 0.01;
  filter: alpha(opacity=1);
  -moz-opacity: 0.01;
  display: block;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  position: absolute; }

div.button span {
  display: -moz-inline-box;
  display: inline-block;
  *display: inline;
  zoom: 1;
  line-height: 22px;
  text-align: center;
  background-position: right -521px;
  height: 22px;
  margin-left: 13px;
  padding: 8px 15px 0 2px; }

div.button.active {
  background-position: 0 -671px; }

div.button.active span {
  background-position: right -551px;
  cursor: default; }

div.button.hover, div.button.focus {
  background-position: 0 -701px; }

div.button.hover span, div.button.focus span {
  background-position: right -581px; }

div.button.disabled, div.button.disabled.active {
  background-position: 0 -731px; }

div.button.disabled span, div.button.disabled.active span {
  background-position: right -611px;
  cursor: default; }

/* INPUT & TEXTAREA */
input.uniform-input,
select.uniform-multiselect,
textarea.uniform {
  font-size: 12px;
  font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
  font-weight: normal;
  color: #777;
  border-top: solid 1px #aaaaaa;
  border-left: solid 1px #aaaaaa;
  border-bottom: solid 1px #cccccc;
  border-right: solid 1px #cccccc;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px; }

input.uniform-input.hover, input.uniform-input.focus,
select.uniform-multiselect.hover,
select.uniform-multiselect.focus,
textarea.uniform.hover,
textarea.uniform.focus {
  -webkit-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.3);
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.3);
  border-color: #999; }

/* PRESENTATION */
/* Buttons */
div.button span {
  font-weight: bold;
  font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
  font-size: 12px;
  letter-spacing: 1px;
  text-transform: uppercase; }

div.button.hover span, div.button.focus span {
  color: #555; }

div.button.disabled span, div.button.disabled.active span {
  color: #bbb; }

/* Select */
div.selector {
  font-size: 12px; }

div.selector span {
  color: #666;
  text-shadow: 0 1px 0 white; }

div.selector select {
  font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
  font-size: 12px; }

div.selector.disabled span, div.selector.disabled.active span {
  color: #bbb; }

/* Checker */
div.checker {
  margin-right: 5px; }

/* Radio */
div.radio {
  margin-right: 3px; }

/* Uploader */
div.uploader span.action {
  text-shadow: white 0px 1px 0px;
  background-color: #fff;
  font-size: 11px;
  font-weight: bold; }

div.uploader span.filename {
  color: #777;
  border-right: solid 1px #bbbbbb;
  font-size: 11px; }

div.uploader.disabled span.action, div.uploader.disabled.active span.action {
  color: #aaa; }

div.uploader.disabled span.filename, div.uploader.disabled.active span.filename {
  border-color: #ddd;
  color: #aaa; }

input.uniform-input, input.uniform-input:focus {
  background-color: #fff; }

/*# sourceMappingURL=data:application/json;base64,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 */